from django.db import models
from django.utils.translation import gettext_lazy as _

from apps.shared.models import AbstractBaseModel


class Category(AbstractBaseModel):
    name = models.CharField(max_length=255, verbose_name=_("Nomi"))

    class Meta:
        verbose_name = _("Kategoriya")
        verbose_name_plural = _("Kategoriyalar")
        ordering = ["-created_at"]

    def __str__(self) -> str:
        return self.name
